﻿/* 顶部栏 */
.layout-header {
    padding: 0 0 1px 0;
}

.home-header {
    width: 100%;
    height: 50px;
    box-sizing: border-box;
    padding-left: 15px;
    display: flex;
    align-items: center;
    background-color: #fff;
    font-size: 14px;
    color: #f3f3f3;
}

.home-logo {
    box-sizing: border-box;
    font-size: 0;
}

    .home-logo img {
        height: 50px;
    }

.home-logo-text {
    color: #222328;
    font-size: 16px;
    margin: 0 0 0 20px;
}

.home-nav {
    width: 0;
    flex: 1;
    margin: 0 20px;
    display: flex;
    justify-content: flex-end;
    overflow: hidden;
}

.home-nav-item {
    height: 100%;
    padding: 15px;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
    color: #082245
}

    .home-nav-item.active {
        position: relative;
        color: #1C7DFA;
    }

        .home-nav-item.active:after {
            content: '';
            position: absolute;
            width: 100%;
            height: 2px;
            left: 0;
            bottom: 0;
            background-color: #1C7DFA;
        }

.home-user-btn {
    box-sizing: border-box;
    height: 50px;
    padding-right: 15px;
    display: flex;
    align-items: center;
    cursor: pointer;
}

.home-user-avatar {
    margin-right: 0;
}

.home-user .ivu-select-dropdown {
    margin: 0;
    padding: 0;
    background-color: #454c63;
    border-radius: 0;
}

.home-user-drp {
    width: 160px;
}

.home-user-drp-item {
    height: 40px;
    display: flex;
    align-items: center;
    cursor: pointer;
    color: #A1A6BB;
}


    .home-user-drp-item:hover {
        background-color: #1b2337;
        color: #fff;
    }

.home-user-drp-item-icon {
    width: 40px;
    text-align: center;
}

/* 侧边栏 */
.home-slide {
    box-sizing: border-box;
    position: relative;
    padding: 40px 0;
    background-color: #19223D;
    font-size: 14px;
    color: #7D88A1;
    transition: width 0.2s ease-in-out;
}

    .home-slide.active {
        width: 48px;
    }

.home-slide-menu {
    position: relative;
    width: 100%;
    height: 100%;
    box-sizing: border-box;
    overflow-x: auto;
    line-height: 40px;
}

.home-slide-menu::-webkit-scrollbar {
    width: 4px;
    height: 1px;
}

.home-slide-menu::-webkit-scrollbar-thumb {
    background-color: #7D88A1;
    border-radius: 10px;
    box-shadow: inset 0 0 5px rgba(0,0,0,0.2);
}

.home-slide-sub {
    box-sizing: border-box;
    position: absolute;
    overflow-y: auto;
    width: 180px;
    height: 100%;
    top: 0;
    right: -180px;
    padding-top: 40px;
    background-color: rgba(25, 34, 61, 0.8);
    transition: left 0.2s ease-in-out;
    color: #a1a6bb;
    z-index: 10;
    border-right: 1px solid rgba(255,255,255,0.5);
}

.home-slide-sub-menu.active {
    left: 50px;
}

.home-slide-menu-item {
    height: 40px;
    display: flex;
    align-items: center;
    cursor: pointer;
    border-left: 2px solid #19223D;
}

.home-slide-menu-item-th {
    height: 40px;
    display: flex;
    align-items: center;
    cursor: pointer;
}

.home-slide.active .home-slide-menu-item:hover {
    border-left: 2px solid #1C7DFA;
}

.navactive {
    color: #fff;
    background-color: #12192D;
    border-left: 2px solid #1C7DFA;
}

.subactive {
    /*color: #222328;
    background-color: #f5f5f7;*/
    color: #0294ff;
    border-left: 2px solid #1C7DFA;
}

.zlsubactive {
    color: #0294ff;
}

.home-slide-menu-item:hover {
    color: #fff;
    background-color: #12192D;
    border-left: 2px solid #1C7DFA;
}

.home-slide-menu-item-th:hover {
    /*color: #419efd;
    background-color: #eef6fe;*/
}



.home-slide-menu-item-icon {
    display: inline-block;
    width: 50px;
    text-align: center;
    font-size: 18px;
}

    .home-slide-menu-item-icon.active {
        /* font-size: 20px; */
        transition: all 0.2s ease-in-out;
    }

.home-slide-menu-item-title {
    width: 0;
    flex: 1;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.home-slide-zl,
.home-slide-dh {
    box-sizing: border-box;
    position: absolute;
    width: 100%;
    height: 40px;
    left: 0;
    line-height: 40px;
    cursor: pointer;
    overflow: hidden;
}

.home-slide-zl {
    top: 0;
    color: #1C7DFA;
    transition: left 0.2s ease-in-out;
}

    .home-slide-zl span {
        display: inline-block;
        width: 50px;
        text-align: center;
    }

    .home-slide-zl.active {
        font-size: 12px;
        color: #A1A6BB;
    }

.home-slide-dh {
    bottom: 0;
    padding-left: 15px;
    background-color: #12192D;
}

    .home-slide-dh span:last-child {
        float: right;
        display: block;
        width: 50px;
        text-align: center;
        border-left: 1px solid #19223D;
    }

.home-zl-panel {
    box-sizing: border-box;
    position: absolute;
    overflow-x: auto;
    display: flex;
    height: 100%;
    top: 0;
    left: 180px;
    background-color: rgba(25, 34, 61, 0.8);
    transition: left 0.2s ease-in-out;
    z-index: 2;
    padding: 0 10px
}

    .home-zl-panel.active {
        left: 50px;
    }

    .home-zl-panel::-webkit-scrollbar-track {
        box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
        border-radius: 10px;
        background-color: #2f3750;
    }

    .home-zl-panel::-webkit-scrollbar {
        width: 2px;
        background-color: #F5F5F5;
    }

    .home-zl-panel::-webkit-scrollbar-thumb {
        border-radius: 10px;
        box-shadow: inset 0 0 6px rgba(0, 0, 0, .3);
        background-color: #19223d;
    }

.hzp-group {
    box-sizing: border-box;
    width: 180px;
    padding: 40px 15px;
    line-height: 40px;
}

.hzp-item {
    padding-bottom: 15px;
}

.hzp-item-title {
    border-bottom: 2px solid #465A6E;
    cursor: pointer;
}

.hzpi-item {
    display: flex;
    align-items: center;
    cursor: pointer;
}

.hzpi-item-icon {
    margin-right: 10px;
    font-size: 18px;
}

.hzpi-item-title {
    color: #fff;
}

.zlsubactive {
    color: #0294ff;
}

/* 页面主体部分 */
.home-content {
    width: 100%;
    height: 100%;
    background: #f6f8fa;
}

    .home-content .ivu-tabs {
        box-sizing: border-box;
        position: relative;
        color: #495060;
        zoom: 1;
        width: 100%;
        height: 100%;
    }

        .home-content .ivu-tabs .ivu-tabs-content-animated {
            display: flex;
            flex-direction: row;
            will-change: transform;
            transition: transform .3s ease-in-out;
            height: calc(100% - 33px);
            width: 100%;
            box-sizing: border-box;
        }

.home-tab {
    box-sizing: border-box;
    width: 100%;
    height: 40px;
    display: flex;
    background-color: #ddd;
    border-bottom: 1px solid #ddd;
}

.home-tab-list {
    box-sizing: border-box;
    width: 0;
    height: 100%;
    flex: 1;
    display: flex;
    font-size: 14px;
}

.home-tab-item {
    height: 100%;
    margin-bottom: -1px;
    display: flex;
    align-items: center;
    color: #666;
    cursor: pointer;
    border-right: 1px solid #ccc;
}

    .home-tab-item.active {
        background-color: #fff;
        color: #353535;
        border-bottom-color: #999;
        border-bottom: #fff;
    }

.home-tab-item-name {
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    padding: 0 10px;
}

.home-tab-item-close {
    padding: 6px 10px 4px 0;
    font-size: 16px;
}

    .home-tab-item-close:hover {
        opacity: 0.5;
    }

.home-frame {
    width: 100%;
    height: 100%;
    flex: 1;
}

.ivu-tabs-bar {
    border-bottom: 1px solid #dddee1;
    margin: 0;
    border-top: 1px solid #dddee1;
}

.ivu-tabs.ivu-tabs-card > .ivu-tabs-bar .ivu-tabs-tab-active {
    height: 32px;
    padding-bottom: 5px;
    background: #fff;
    transform: translateZ(0);
    border-color: #dddee1;
    color: #1C7DFA;
}

.prev {
    display: flex;
    align-items: center;
    height: 32px;
    border-bottom: 1px solid #dddee1;
    border-top: 1px solid #dddee1;
    width: 18px;
    justify-content: center;
    cursor: pointer;
}

    .prev:hover {
        opacity: 0.8;
    }

.next {
    display: flex;
    align-items: center;
    height: 32px;
}

.delete-confirm .delete-header-title {
    display: inline-flex;
    align-items: center;
    color: #007aff;
    border-bottom: 2px solid #007aff;
    padding: 14px 16px;
}

.delete-confirm .ivu-modal-header {
    padding: 0;
}

.delete-confirm .delete-content {
    padding: 20px 30px;
    display: flex;
    align-items: center;
}

.delete-confirm .content {
    margin-left: 10px;
    font-size: 14px;
}

.delete-confirm .footer {
    display: flex;
    align-items: center;
    justify-content: space-around;
}

.delete-confirm .cancel-item {
    border: 1px solid #007aff;
    color: #007aff;
    padding: 5px 25px;
}

    .delete-confirm .cancel-item:hover {
        border-color: #007aff;
    }

.delete-confirm .ok-item {
    background-color: #007aff;
    color: #fff;
    padding: 5px 25px;
    border: 1px solid #007aff;
}

    .delete-confirm .ok-item:hover {
        border-color: #007aff;
    }
